LimitsIncreaseClient¶
-
class
oci.limits_increase.LimitsIncreaseClient(config, **kwargs)¶ Use the Limits Increase API to work with limit increase requests. For more information, see [Working with Limit Increase Requests](/iaas/Content/General/service-limits/requests.htm).
Methods
__init__(config, **kwargs)Creates a new service client cancel_limits_increase_item_request(…)Withdraws the specified item from the limit increase request. cancel_limits_increase_request(…)Withdraws the specified limit increase request. create_limits_increase_request(…)Creates a limit increase request in the specified compartment. delete_limits_increase_request(…)Deletes the specified limit increase request. get_limits_increase_item_request(…)Gets the specified item from the limit increase request. get_limits_increase_request(…)Gets the specified limit increase request. list_limits_increase_item_requests(…)Lists items in the specified limit increase request. list_limits_increase_questions(…)Gets the fields for the specified service and limit name. list_limits_increase_requests(…)Lists limit increase requests in the specified compartment. patch_limits_increase_request(…)Adds one or more comments to the specified limit increase request. update_limits_increase_request(…)Updates the limit increase request. -
__init__(config, **kwargs)¶ Creates a new service client
Parameters: - config (dict) – Configuration keys and values as per SDK and Tool Configuration.
The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config() - service_endpoint (str) – (optional)
The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint. - timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
- signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argument - retry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here. - circuit_breaker_strategy (obj) – (optional)
A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level).
This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here. - circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
- client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
- allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
- enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- config (dict) – Configuration keys and values as per SDK and Tool Configuration.
The
-
cancel_limits_increase_item_request(limits_increase_item_request_id, **kwargs)¶ Withdraws the specified item from the limit increase request. For more information, see Withdrawing an Item from a Limit Increase Request.
Parameters: - limits_increase_item_request_id (str) –
(required) The OCID of the limit increase request.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- if_match (str) – (optional) This value (etag) should be passed when you want to ensure that no-one else has changed the value while you’re making an update. To get the current etag, make a GET call and read the current etag header. If GET returns 404, and you still want to ensure that noone else has executed a SET operation, pass the following header instead: if-none-match: *
- opc_retry_token (str) – (optional) Idempotency token to make sure that a second create operation won’t fail if the first one succeeded. This can be any random string.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeLimitsIncreaseItemRequestReturn type: Example: Click here to see an example of how to use cancel_limits_increase_item_request API.
- limits_increase_item_request_id (str) –
-
cancel_limits_increase_request(limits_increase_request_id, **kwargs)¶ Withdraws the specified limit increase request. For more information, see Withdrawing a Limit Increase Request.
Parameters: - limits_increase_request_id (str) –
(required) The OCID of the limit increase request.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- if_match (str) – (optional) This value (etag) should be passed when you want to ensure that no-one else has changed the value while you’re making an update. To get the current etag, make a GET call and read the current etag header. If GET returns 404, and you still want to ensure that noone else has executed a SET operation, pass the following header instead: if-none-match: *
- opc_retry_token (str) – (optional) Idempotency token to make sure that a second create operation won’t fail if the first one succeeded. This can be any random string.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeLimitsIncreaseRequestReturn type: Example: Click here to see an example of how to use cancel_limits_increase_request API.
- limits_increase_request_id (str) –
-
create_limits_increase_request(create_limits_increase_request_details, **kwargs)¶ Creates a limit increase request in the specified compartment. For more information, see Creating a Limit Increase Request.
Parameters: - create_limits_increase_request_details (oci.limits_increase.models.CreateLimitsIncreaseRequestDetails) – (required) The new limit increase request details
- opc_retry_token (str) – (optional) Idempotency token to make sure that a second create operation won’t fail if the first one succeeded. This can be any random string.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeLimitsIncreaseRequestReturn type: Example: Click here to see an example of how to use create_limits_increase_request API.
-
delete_limits_increase_request(limits_increase_request_id, **kwargs)¶ Deletes the specified limit increase request. For more information, see Deleting a Limit Increase Request.
Parameters: - limits_increase_request_id (str) –
(required) The OCID of the limit increase request.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- if_match (str) – (optional) This value (etag) should be passed when you want to ensure that no-one else has changed the value while you’re making an update. To get the current etag, make a GET call and read the current etag header. If GET returns 404, and you still want to ensure that noone else has executed a SET operation, pass the following header instead: if-none-match: *
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of type NoneReturn type: Example: Click here to see an example of how to use delete_limits_increase_request API.
- limits_increase_request_id (str) –
-
get_limits_increase_item_request(limits_increase_item_request_id, **kwargs)¶ Gets the specified item from the limit increase request. For more information, see Getting Details for a Limit Increase Request.
Parameters: - limits_increase_item_request_id (str) –
(required) The OCID of the limit increase request.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeLimitsIncreaseItemRequestReturn type: Example: Click here to see an example of how to use get_limits_increase_item_request API.
- limits_increase_item_request_id (str) –
-
get_limits_increase_request(limits_increase_request_id, **kwargs)¶ Gets the specified limit increase request. For more information, see Getting Details for a Limit Increase Request.
Parameters: - limits_increase_request_id (str) –
(required) The OCID of the limit increase request.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeLimitsIncreaseRequestReturn type: Example: Click here to see an example of how to use get_limits_increase_request API.
- limits_increase_request_id (str) –
-
list_limits_increase_item_requests(compartment_id, **kwargs)¶ Lists items in the specified limit increase request. For more information, see Getting Details for a Limit Increase Request.
Parameters: - compartment_id (str) –
(required) The OCID of the parent compartment. Note: The tenancy is the root compartment.
- service (str) – (optional) Name of service that owns the limit.
- lifecycle_state (str) – (optional) Lifecycle state of the limit increase request.
- limits_increase_request_id (str) –
(optional) The OCID of the limit increase request.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’. By default, it is ascending.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. You can specify only one sort order. The default order for timeCreated is descending.
Allowed values are: “timeCreated”
- limit (int) – (optional) Maximum number of items returned in a page.
- page (str) – (optional) The next page token.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeLimitsIncreaseItemRequestCollectionReturn type: Example: Click here to see an example of how to use list_limits_increase_item_requests API.
- compartment_id (str) –
-
list_limits_increase_questions(compartment_id, **kwargs)¶ Gets the fields for the specified service and limit name. Service name is required if limit name is provided. If limit name is not provided, returns all questions for the specified service. If service name is not provided, returns all available questions. For more information, see Creating a Limit Increase Request.
Parameters: - compartment_id (str) –
(required) The OCID of the parent compartment. Note: The tenancy is the root compartment.
- service_name (str) – (optional) The name of the service.
- limit_name (str) – (optional) The name of the limit.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’. By default, it is ascending.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. Both fields will sort alphabetically
Allowed values are: “serviceName”, “limitName”
- limit (int) – (optional) Maximum number of items returned in a page.
- page (str) – (optional) The next page token.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeLimitsIncreaseQuestionCollectionReturn type: Example: Click here to see an example of how to use list_limits_increase_questions API.
- compartment_id (str) –
-
list_limits_increase_requests(compartment_id, **kwargs)¶ Lists limit increase requests in the specified compartment. For more information, see Listing Limit Increase Requests.
Parameters: - compartment_id (str) –
(required) The OCID of the parent compartment. Note: The tenancy is the root compartment.
- lifecycle_state (str) – (optional) Lifecycle state of the limit increase request.
- display_name (str) – (optional) A filter to return only the resources that match the entire display name specified.
- sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’. By default, it is ascending.
Allowed values are: “ASC”, “DESC”
- sort_by (str) –
(optional) The field to sort by. You can specify only one sort order. The default order for timeCreated is descending. The default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
- limit (int) – (optional) Maximum number of items returned in a page.
- page (str) – (optional) The next page token.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeLimitsIncreaseRequestCollectionReturn type: Example: Click here to see an example of how to use list_limits_increase_requests API.
- compartment_id (str) –
-
patch_limits_increase_request(patch_limits_increase_request_details, limits_increase_request_id, **kwargs)¶ Adds one or more comments to the specified limit increase request. For more information, see Adding Comments to a Limit Increase Request.
Parameters: - patch_limits_increase_request_details (oci.limits_increase.models.PatchLimitsIncreaseRequestDetails) – (required) The payload containing instructions to patch the Limits Increase Request
- limits_increase_request_id (str) –
(required) The OCID of the limit increase request.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- if_match (str) – (optional) This value (etag) should be passed when you want to ensure that no-one else has changed the value while you’re making an update. To get the current etag, make a GET call and read the current etag header. If GET returns 404, and you still want to ensure that noone else has executed a SET operation, pass the following header instead: if-none-match: *
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeLimitsIncreaseRequestReturn type: Example: Click here to see an example of how to use patch_limits_increase_request API.
-
update_limits_increase_request(update_limits_increase_request_details, limits_increase_request_id, **kwargs)¶ Updates the limit increase request. For more information, see Updating a Limit Increase Request.
Parameters: - update_limits_increase_request_details (oci.limits_increase.models.UpdateLimitsIncreaseRequestDetails) – (required) Details for updating Limits Increase request
- limits_increase_request_id (str) –
(required) The OCID of the limit increase request.
- opc_request_id (str) – (optional) Override request id for request tracking purposes.
- if_match (str) – (optional) This value (etag) should be passed when you want to ensure that no-one else has changed the value while you’re making an update. To get the current etag, make a GET call and read the current etag header. If GET returns 404, and you still want to ensure that noone else has executed a SET operation, pass the following header instead: if-none-match: *
- retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy. - allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
- enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
Returns: A
Responseobject with data of typeLimitsIncreaseRequestReturn type: Example: Click here to see an example of how to use update_limits_increase_request API.
-